extern "C"
{
#include "mcurses.h"
#include "mhash.h"
}

int main()
{
    hash_obj* hash = hash_new(20);

    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");
    hash_erase(hash, "aaa");

    hash_delete(hash);

    return 0;
}
